[Stable Update] 2018-07-24 - Kernels, Pacman-Mirrors, Vulkan, Nvidia

update
stable

#1

Hi community,

Welcome to another stable update. So what do we have with this one?

  • we updated most of our kernels
  • pacman-mirrors got some fixes to filter out invalid https servers
  • latest vulkan packages
  • both the nvidia 396 and 390 series got updated to their latest releases.

We hope with all these changes Manjaro to be more efficient for you all.


If you are curious about the latest state of development for the upcoming Manjaro-Illyria 18.0 release, you now have the opportunity to download a beta-build of Manjaro-Xfce 18.0 including the latest xfce-gtk3 packages aswell as our most recent styling efforts:

Our KDE fans may try our beta-build with the latest KDE v5.13 instead.


Latest information about the intel-cpu-bug risk and our efforts can be found here.


Current supported Kernels

  • linux316 3.16.57
  • linux318 3.18.116 [EOL]
  • linux41 4.1.52 [EOL]
  • linux44 4.4.143
  • linux49 4.9.114
  • linux414 4.14.57
  • linux415 4.15.18 [EOL]
  • linux416 4.16.18 [EOL]
  • linux417 4.17.9
  • linux418 4.18-rc5
  • linux414-rt 4.14.52_rt34
  • linux416-rt 4.16.18_rt9

Package Updates (Mon Jul 23 05:36:36 CEST 2018)

  • stable community x86_64: 70 new and 62 removed package(s)
  • stable core x86_64: 13 new and 13 removed package(s)
  • stable extra x86_64: 96 new and 96 removed package(s)
  • stable multilib x86_64: 11 new and 11 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
appimagelauncher 1.0alpha+git20180712.7949d8d-1 1.0alpha+git20180718.c3e1b27-1
                  linux414-rt-nvidia           1:396.24-6           1:396.45-1
            linux414-rt-nvidia-390xx             390.67-2             390.77-1
                  linux416-rt-nvidia           1:396.24-9           1:396.45-1
            linux416-rt-nvidia-390xx             390.67-4             390.77-1
                               pm2ml            2017.11-1            2017.12-1
                           powerpill            2017.11-1             2018.5-1
                        python3-xcpf            2017.12-1               2018-1
   manjaro-kde-minimal-settings-18.0                    -           20180722-1
           manjaro-kde-settings-18.0                    -           20180722-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
                                 0ad                a23-2                a23-3
                             allegro              5.2.4-1              5.2.4-2
                               arcus              3.4.1-1              3.4.1-3
                              arpack              3.6.0-1              3.6.2-1
                                calf             0.90.0-3             0.90.1-1
                             catfish              1.4.5-1              1.4.6-1
                             cryptol    2.5.0.20180515-55    2.5.0.20180515-57
                         deepin-help               15.5-1                    -
                               ditaa               0.10-1             0.11.0-2
                              eslint              5.1.0-1              5.2.0-1
                       gitlab-gitaly            0.111.0-1            0.113.0-1
     haskell-bytestring-tree-builder           0.2.7.1-17            0.2.7.2-1
                    haskell-cracknum                2.0-3                2.1-1
           haskell-hasql-transaction            0.5.2-110            0.5.2-111
                       haskell-hpack            0.28.2-57             0.29.5-1
                     haskell-path-io             1.3.3-53              1.4.0-1
                         haskell-sbv               7.9-33               7.10-1
                           highlight               3.43-1               3.44-1
                       highlight-gui               3.43-1               3.44-1
                             hindent              5.2.6-1              5.2.7-2
                              httpie              0.9.9-1              0.9.9-3
                    kicad-library-3d              4.0.7-1              5.0.0-1
                       kicad-library              4.0.7-1              5.0.0-1
                              laszip              2.2.0-1              3.2.2-1
                        libextractor                1.6-3                1.7-1
                   libringclient 2:20180613.1.85cf38c-1 2:20180718.1.af8399f-1
                      libvirt-python              4.4.0-1              4.5.0-1
                     libvirt-python2              4.4.0-1              4.5.0-1
                                 mpv           1:0.28.2-2           1:0.29.0-1
                                pdal              1.7.2-1              1.7.2-2
                              picard              2.0.0-1              2.0.1-1
                           postgrest          0.4.4.0-210          0.4.4.0-211
                        python-iwlib                1.5-9              1.6.1-4
                    python-reportlab              3.5.0-1              3.5.1-1
                      python-serpent               1.24-1               1.25-1
                       python2-iwlib                1.5-9              1.6.1-4
                   python2-reportlab              3.5.0-1              3.5.1-1
                     python2-serpent               1.24-1               1.25-1
                            qjackctl              0.5.2-2              0.5.3-1
                            qmidinet              0.5.1-1              0.5.2-1
                            qsampler              0.5.1-2              0.5.2-1
                              qsynth              0.5.1-2              0.5.2-1
                                qtox             1.16.2-2             1.16.3-1
                            range-v3              0.3.6-1              0.3.6-2
                     ring-daemon 2:20180630.1.5706680-1 2:20180718.1.af8399f-1
                      ring-gnome 3:20180625.1.8dd3bf1-1 3:20180718.1.af8399f-1
                                rust           1:1.27.1-1           1:1.27.2-1
                           rust-docs           1:1.27.1-1           1:1.27.2-1
                              rustup             1.13.0-2             1.13.0-3
                               smb4k              2.1.0-1              2.1.1-1
                               stack             1.7.1-83             1.7.1-85
                            startdde             3.1.33-1    3.1.33.20180720-1
                               tiled              1.1.5-1              1.1.6-1
                               v2ray               3.31-1             3.31.1-1
                           autorandr                    -                1.6-2
                             freeciv                    -             2.5.11-1
               haskell-infer-license                    -              0.2.0-1
                                pius                    -              2.2.6-1
                            qmidictl                    -              0.5.2-1
                             qxgedit                    -              0.5.2-1
                              solaar                    -             0.9.2-10


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
                            linux318           3.18.115-1           3.18.116-1
                    linux318-headers           3.18.115-1           3.18.116-1
                            linux414            4.14.56-1            4.14.57-1
                    linux414-headers            4.14.56-1            4.14.57-1
                            linux417             4.17.7-1             4.17.9-1
                    linux417-headers             4.17.7-1             4.17.9-1
                             linux44            4.4.141-1            4.4.143-1
                     linux44-headers            4.4.141-1            4.4.143-1
                             linux49            4.9.113-1            4.9.114-1
                     linux49-headers            4.9.113-1            4.9.114-1
                         mhwd-nvidia           1:396.24-1           1:396.45-1
                   mhwd-nvidia-390xx             390.67-1             390.77-1
                      pacman-mirrors             4.11.2-1             4.11.4-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
                 calamares-git 3.2.2.r4852.73faaeae2-1 3.2.2.r4865.627161258-1
                     linux316-nvidia           1:396.24-4           1:396.45-1
               linux316-nvidia-390xx             390.67-2             390.77-1
                  linux318-acpi_call             1.1.0-59             1.1.0-60
                   linux318-bbswitch               0.8-59               0.8-60
                linux318-broadcom-wl      6.30.223.271-35      6.30.223.271-36
                   linux318-catalyst     1:15.201.1151-49     1:15.201.1151-50
                linux318-ndiswrapper              1.61-35              1.61-36
                     linux318-nvidia           1:396.24-6           1:396.45-2
               linux318-nvidia-304xx         1:304.137-24         1:304.137-25
               linux318-nvidia-340xx            340.107-2            340.107-3
               linux318-nvidia-390xx             390.67-2             390.77-2
                   linux318-nvidiabl              0.88-49              0.88-50
                      linux318-r8168          8.045.08-14          8.045.08-15
                  linux318-rt3562sta        2.4.1.1_r4-35        2.4.1.1_r4-36
                        linux318-spl              0.7.9-5              0.7.9-6
                   linux318-tp_smapi              0.41-59              0.41-60
                linux318-vhba-module          20161009-35          20161009-36
   linux318-virtualbox-guest-modules             5.2.16-1             5.2.16-2
    linux318-virtualbox-host-modules             5.2.16-1             5.2.16-2
                        linux318-zfs              0.7.9-5              0.7.9-6
                      linux41-nvidia           1:396.24-3           1:396.45-1
                linux41-nvidia-390xx             390.67-1             390.77-1
                  linux414-acpi_call             1.1.0-49             1.1.0-50
                   linux414-bbswitch               0.8-49               0.8-50
                linux414-broadcom-wl      6.30.223.271-49      6.30.223.271-50
                   linux414-catalyst     1:15.201.1151-49     1:15.201.1151-50
                linux414-ndiswrapper              1.61-49              1.61-50
                     linux414-nvidia          1:396.24-14           1:396.45-2
               linux414-nvidia-304xx         1:304.137-49         1:304.137-50
               linux414-nvidia-340xx            340.107-8            340.107-9
               linux414-nvidia-390xx             390.67-8             390.77-2
                   linux414-nvidiabl              0.88-49              0.88-50
                      linux414-r8168          8.045.08-37          8.045.08-38
                  linux414-rt3562sta        2.4.1.1_r4-49        2.4.1.1_r4-50
                        linux414-spl             0.7.9-13             0.7.9-14
                   linux414-tp_smapi              0.41-49              0.41-50
                linux414-vhba-module          20161009-49          20161009-50
   linux414-virtualbox-guest-modules             5.2.16-1             5.2.16-2
    linux414-virtualbox-host-modules             5.2.16-1             5.2.16-2
                        linux414-zfs             0.7.9-13             0.7.9-14
                     linux415-nvidia           1:396.24-3           1:396.45-1
               linux415-nvidia-390xx             390.67-1             390.77-1
                     linux416-nvidia           1:396.24-9           1:396.45-1
               linux416-nvidia-390xx             390.67-3             390.77-1
                  linux417-acpi_call              1.1.0-6              1.1.0-7
                   linux417-bbswitch                0.8-6                0.8-7
                linux417-broadcom-wl       6.30.223.271-6       6.30.223.271-7
                   linux417-catalyst      1:15.201.1151-6      1:15.201.1151-7
                linux417-ndiswrapper               1.61-6               1.61-7
                     linux417-nvidia           1:396.24-6           1:396.45-2
               linux417-nvidia-304xx          1:304.137-6          1:304.137-7
               linux417-nvidia-340xx            340.107-6            340.107-7
               linux417-nvidia-390xx             390.67-6             390.77-2
                   linux417-nvidiabl               0.88-6               0.88-7
                      linux417-r8168           8.045.08-6           8.045.08-7
                        linux417-spl              0.7.9-6              0.7.9-7
                   linux417-tp_smapi               0.41-6               0.41-7
                linux417-vhba-module           20161009-6           20161009-7
   linux417-virtualbox-guest-modules             5.2.16-1             5.2.16-2
    linux417-virtualbox-host-modules             5.2.16-1             5.2.16-2
                        linux417-zfs              0.7.9-6              0.7.9-7
                     linux418-nvidia         1:396.24-0.4         1:396.45-0.4
                      linux44-nvidia           1:396.24-9           1:396.45-1
                linux44-nvidia-390xx             390.67-5             390.77-1
                   linux49-acpi_call             1.1.0-86             1.1.0-87
                    linux49-bbswitch               0.8-86               0.8-87
                 linux49-broadcom-wl      6.30.223.271-86      6.30.223.271-87
                    linux49-catalyst     1:15.201.1151-86     1:15.201.1151-87
                 linux49-ndiswrapper              1.61-84              1.61-85
                      linux49-nvidia          1:396.24-11           1:396.45-2
                linux49-nvidia-304xx         1:304.137-45         1:304.137-46
                linux49-nvidia-340xx            340.107-5            340.107-6
                linux49-nvidia-390xx             390.67-5             390.77-2
                    linux49-nvidiabl              0.88-86              0.88-87
                       linux49-r8168          8.045.08-26          8.045.08-27
                   linux49-rt3562sta        2.4.1.1_r4-84        2.4.1.1_r4-85
                         linux49-spl             0.7.9-10             0.7.9-11
                    linux49-tp_smapi              0.41-86              0.41-87
                 linux49-vhba-module          20161009-84          20161009-85
    linux49-virtualbox-guest-modules             5.2.16-1             5.2.16-2
     linux49-virtualbox-host-modules             5.2.16-1             5.2.16-2
                         linux49-zfs             0.7.9-10             0.7.9-11
                     nautilus-legacy           3.26.3.1-1             3.26.4-1
                  nvidia-390xx-utils             390.67-1             390.77-1
                        nvidia-utils           1:396.24-2           1:396.45-1
                       opencl-nvidia           1:396.24-1           1:396.45-1
                 opencl-nvidia-390xx             390.67-1             390.77-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
                                 feh               2.27-1             2.27.1-1
                             freeciv             2.5.11-1                    -
                                sdl2              2.0.8-8              2.0.8-9
                 vulkan-extra-layers       1.1.73.0-1 1.1.79+10184+7ae1b7c06-1
                      vulkan-headers           1:1.1.80-1           1:1.1.80-2
                   vulkan-icd-loader        1.1.73.0-1 1.1.80+2940+da58202e9-1
                        vulkan-trace       1.1.73.0-1 1.1.79+10184+7ae1b7c06-1
            vulkan-validation-layers         1.1.73.0-1 1.1.79+7729+3bd8e348-1
                        vulkan-tools                  - 1.1.79+6811+b7c389c9-1


:: Different overlay package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
            lib32-nvidia-390xx-utils             390.67-1             390.77-1
                  lib32-nvidia-utils           1:396.24-2           1:396.45-1
                 lib32-opencl-nvidia           1:396.24-1           1:396.45-1
           lib32-opencl-nvidia-390xx             390.67-1             390.77-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-07-22           2018-07-24
-------------------------------------------------------------------------------
                     lib32-e2fsprogs             1.44.2-1             1.44.3-1
                          lib32-rust             1.27.1-1             1.27.2-1
                          lib32-sdl2              2.0.8-1              2.0.8-9
             lib32-vulkan-icd-loader        1.1.73.0-1 1.1.80+2940+da58202e9-1
      lib32-vulkan-validation-layers         1.1.73.0-1 1.1.79+7729+3bd8e348-1
                        wine-staging               3.12-1               3.13-1
                   wine-staging-nine               3.12-1               3.13-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


Screen corruption with Nvidia 396.24
#2

Known issues and solutions

This is a wiki post; please edit as necessary.
Please, consider subscribing to the Stable Updates Announcements RSS feed


libutf8proc>=2.1.1-3 update may require manual intervention

This should normally be automatically fixed via manjaro-system update.

The libutf8proc package prior to version 2.1.1-3 had an incorrect soname link. This has been fixed in 2.1.1-3, so the upgrade will need to overwrite the untracked soname link created by ldconfig. If you get an error

libutf8proc: /usr/lib/libutf8proc.so.2 exists in filesystem

when updating, use


pacman -Suy --overwrite usr/lib/libutf8proc.so.2

to perform the upgrade.


Pamac: "Invalid or corrupted package."
If you receive an “Invalid or corrupted package.” error message with Pamac and if the details contains an output similar to the following:

Details
Synchronizing package databases...
Starting full system upgrade...

Preparing...
Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading manjaro-system-20180716-1-any.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Upgrading manjaro-system (20180702-1 -> 20180716-1)...
==> Fix libutf8proc upgrade ...
resolving dependencies...
looking for conflicting packages...

Packages (1) libutf8proc-2.1.1-4

Total Download Size:   0.05 MiB
Total Installed Size:  0.32 MiB
Net Upgrade Size:      0.00 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
downloading libutf8proc-2.1.1-4-x86_64.pkg.tar.xz...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
upgrading libutf8proc...
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
Running post-transaction hooks...
Arming ConditionNeedsUpdate...
Warning: lock file missing /var/lib/pacman/db.lck
Starting full system upgrade...
Resolving dependencies...
Checking inter-conflicts...
Error: could not open file /var/lib/pacman/local/libutf8proc-2.1.1-2/files: No such file or directory
Warning: could not fully load metadata for package libutf8proc-2.1.1-2

Failed to prepare transaction:
invalid or corrupted package

Try the following steps: close Pamac window first, then launch it again and start the update procedure again. It should continue from where it left off.


Items from previous update sets

Issues with folder view widget in KDE v5.13

KDE introduced a new setting for icon sizes. Now you’re able to define also the size for your panel. If you have a high-DPI display, you may want to increase the value. This will fix the display issue with given widget.

icon-kde-513

Pulseaudio changes

With this update we have a /etc/pulse/default.pa.pacnew. It may be necessary to merge (some lines related to “GSettings” in /etc/pulse/default.pa ) if ‘default.pa’ has been customised.

File conflict engrampa.tap

thunar-archive-plugin: /usr/lib/xfce4/thunar-archive-plugin/engrampa.tap exists in filesystem (owned by engrampa-thunar-plugin)

thunar-archive-plugin has added native support for the Engrampa archive manager. engrampa-thunar-plugin is no longer needed. Remove engrampa-thunar-plugin to continue with the update.


Kernel 4.9 issues

Seems on rare conditions you may face a faulty boot with linux49. It results in messages similar like this: <module> likely not compiled with -mcmodel=kernel. Also you will land in the emergency console.

We recommend to install at least another kernel as backup. You may follow this post to recover. v4.9.107-2 is known to be working.


:: alpm-octopi-utils: installing “pacman” (5.1.0-2) breaks the dependency with «pacman <5.1»

Make sure your mirrors are up-to-date. All package management tools should be compatible with pacman 5.1


:: ffmpeg2.8: installing x265 (2.8-1) breaks dependency ‘libx265.so=151-64’

ffmpeg2.8 is no longer in the repos. Remove it, and if you need it, rebuild/reinstall it from the AUR.


gcc54 and gcc5 are in conflict

For those using CUDA, if this error comes up, run the update from terminal
sudo pacman -Syyu
and type YES to replace gcc5 with gcc54


Extension “Workspace to Dock” is bugged

Be careful like there is a bug if you use the Extension “Workspace to Dock”. You need to update/install this version in ~/.local/share/gnome-shell/extensions/ for not have desktop freeze after reboot : https://github.com/passingthru67/workspaces-to-dock/archive/master.zip

Thanks for nabd who have solved this issue : [Testing Update] 2018-05-11 - Kernels, GCC8, Gnome 3.28.2, Cinnamon, KDE Apps 18.04.1, LibreOffice


I see a lot of pacnew files

Well, there is no manual intervention needed for pacnew files coming from filesystem package. The best thing you can do is, do nothing.

Never, ever, ever, ever, ever merge the pacnew file for /etc/{passwd,shadow,gshadow,group}, unless you want to make the new comments match aesthetically with your in-use user accounts database. The only practical difference that merging can ever cause is to accidentally delete users or mangle the whole file’s syntax and render your computer maybe unbootable.

More advice in this regard you may find here.


Nvidia drivers and Fermi support

With the current Nvidia driver release v396.24, support for the old Fermi cards got dropped. Please switch either over to Nouveau driver or downgrade to v390xx driver series.

Bumblebee users follow:

sudo mhwd -r pci video-hybrid-intel-nvidia-bumblebee
sudo mhwd -i pci video-hybrid-intel-nvidia-390xx-bumblebee

Normal users follow:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-nvidia-390xx

To switch to opensource drivers do:

sudo mhwd -r pci video-nvidia
sudo mhwd -i pci video-linux


Changes made to Glibc

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.


Changes made to PAM

pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


Samba units renamed

Note: In samba 4.8.0-1, the units were renamed from smbd.service and nmbd.service to smb.service and nmb.service.

To provide basic file sharing through SMB start/enable smb.service and/or nmb.service services. See the smbd(8) and nmbd(8) man pages for details, as the nmb.service service may not always be required.


Directory permissions differ

Directory permissions differ on /var/lib/samba/private/
filesystem: 755 package: 700

sudo chmod 700 /var/lib/samba/private/


Samba - Error 255: net usershare add: cannot convert name “Everyone” to a SID.

Currently there seems to be an issue when using group = sambashare with Samba 4.8.1-1, which is used by default in thesmb.conf provided by Manjaro. Changing it to group = +sambashare or force group = +sambashare resolves this. However, we might fill out a bug report, to see why that is currently needed.

Commenting/removing group = sambashare is also a viable solution.


Long delay for starting Desktop Environment

There’s a bug which is exhausting the entropy pool. This is refilled over time through e.g. disk activity and mouse movement. You can increase the fill rate with a software solution:

sudo pacman -S haveged
sudo systemctl enable haveged
sudo systemctl start haveged

An alternative method if activating the haveged service is not something you want to do is to press the shift key 8-10 times in succession.


Known Issues from Stable Updates Announcements
#3

No issues noticed, nice smooth update on XFCE. :+1:


#4

Ditto


#5

everything ok on KDE with 4.17


#6

Thanks for the update, went fine.
LXQT and XFCE with Kernel 4.17


#7

Will you update ISOs? :slight_smile:


#8

what a fast update nice new nvidia driver + vulkan hope now Warframe works with wine and dxvk better


#9

Short and sweet with xfce multiple computers. Thank you!


#10

Everything runs fine on my gnome desktop! :slight_smile:


#11

No issues in gnome + X, same issues as mentioned in [Stable Update] 2018-07-13 - Kernels, Firefox, Octopi, Adapta, Haskell, Python with wayland.
Cheers,


#12

Greetings,

Still experience the same issue I’ve reported for 22/07 update:

Thanks
embb


#13

@philm
Philm wrote: “We hope with all these changes Manjaro to be more efficient for you all.”
Phil, I know this post could/has easily been duplicated by many Manjaro users but I wanted to nevertheless, express my thanks and congratulations to you and the whole team who continue to make this fine distro possible. Like all good distros I am sure, Manjaro rewards the user who tries to learn and understand it. My Linux journey (a long time explorer of many distros before Manjaro) would scarcely be complete without Manjaro
Cheers.


#14

Whelp, the update went flawlessly for me on the Manjaro Deepin Community Edition. It was refreshing after the trouble I had with the last one. Thank you all for the hard work!


#15

nice and sleek update … just i still have this tiny annoying issue when every element in the list keeps highlighted even after the cursor moves away from it (please excuse me for the picture quality because i couldn’t take a screenshot)


General Discussion
#17

I have been having problems with catfish overriding keyboard shortcuts since the update, but I don’t think it’s a bug just new unwanted behaviour. Otherwise smooth update.

Fixed it by running:
xdg-mime default nemo.desktop inode/directory application/x-gnome-saved-search
Making nemo the default file explorer again.


#18

Why, do you see a need to do so?


#19

Smooth update, many thanks!


#20

I actually have an annoying issue from when I installed Manjaro KDE, but after the prior update and this one it seems to be occurring more often. At start the compositor seems to not be initialized correctly, as shown in the picture below, and I have to manually go in the Settings and switch the Rendering Backend to XRender and then switch it again to either OpenGL 2.0 or 3.1, it doesn’t matter because it is doing the same thing, also this happens on another PC I have but only when recovering from sleep.

My System:
Lenovo Ideapad y510p (Laptop)
Manjaro KDE
Kernel 4.17.9.1 (but doesn’t matter because I used some of the others too)
Nvidia GT 750m with the latest bumblebee drivers


#21

Thank you everyone. All good on KDE :face_with_monocle: